import { Schema, model } from "mongoose";
import { AddressType, CandidateType } from "../config/types";

const AddressSchema = new Schema<AddressType>(
  {
    addressLine: String,
    city: String,
    country: String,
  },
  { id: false }
);

const ContactsSchema = new Schema<AddressType>(
  {
    email: { type: String, require: false },
    phone: { type: String, require: false },
    address: { type: AddressSchema, require: false },
    residentialAddress: { type: AddressSchema, require: false },
  },
  { id: false }
);

const candidateSchema = new Schema<CandidateType>({
  name: String,
  bio: String,
  contacts: { type: ContactsSchema, require: false },
  dateOfBirth: String,
  jobIds: [{ type: Schema.Types.ObjectId, ref: "jobs" }],
  profilePicture: String,
});

const Candidates = model<CandidateType>("candidates", candidateSchema);
export default Candidates;
